#rules_page,
#factionrules_page,
#codeoflaw_page {
    display: none;
    width: 100%;
    max-width: 80rem;
    width: max-content;
    height: auto;
    
    overflow: visible;

    opacity: 0;
    pointer-events: none;
    transition: opacity 0.35s ease-in-out, transform 0.35s ease-in-out;
    transform: translateY(-2rem);

    /* text-align: center; */
    gap: 3rem;

    z-index: 5;
}

#rules_page .rules_expandable_box,
#factionrules_page .rules_expandable_box,
#codeoflaw_page .rules_expandable_box {
    height: max-content;
    width: 100%;
    max-width: 80rem;

    background: rgb(var(--bg-dark), 85%);
    border: 0.1rem solid rgb(var(--white), 2%);
    border-radius: 1rem;

    backdrop-filter: blur(0.2rem);
}

#rules_page .rules_expandable_box .header,
#factionrules_page .rules_expandable_box .header,
#codeoflaw_page .rules_expandable_box .header {
    width: 100%;
    gap: 1.2rem;
    padding: 2rem 2.4rem 2rem 2.4rem;
}

#rules_page .rules_expandable_box .header .left,
#factionrules_page .rules_expandable_box .header .left,
#codeoflaw_page .rules_expandable_box .header .left {
    gap: 1.2rem;
}

#rules_page .rules_expandable_box .header .expandable_indicator,
#factionrules_page .rules_expandable_box .header .expandable_indicator,
#codeoflaw_page .rules_expandable_box .header .expandable_indicator {
    content: url(/img/Icons/Arrow.svg);
    min-height: 2rem;
    max-height: 2rem;
    width: auto;

    opacity: 0.25;
    transition: transform 0.4s ease-in-out;
}

#rules_page .rules_expandable_box.Open .expandable_indicator,
#factionrules_page .rules_expandable_box.Open .expandable_indicator,
#codeoflaw_page .rules_expandable_box.Open .expandable_indicator {
    transform: rotate(-90deg);
    opacity: 1;
}

#rules_page .rules_expandable_box .header .icon,
#factionrules_page .rules_expandable_box .header .icon,
#codeoflaw_page .rules_expandable_box .header .icon {
    min-height: 2rem;
    max-height: 2rem;
    width: auto;
}

#rules_page .rules_expandable_box .header .title,
#factionrules_page .rules_expandable_box .header .title,
#codeoflaw_page .rules_expandable_box .header .title {
    font-family: "Sora-SemiBold";
    color: rgb(var(--white));
    font-size: 1.8rem;
}

#rules_page .rules_expandable_box .divider,
#factionrules_page .rules_expandable_box .divider,
#codeoflaw_page .rules_expandable_box .divider {
    width: 100%;
    height: 0.1rem;
    background: rgb(var(--white), 2%);
}

#rules_page .rules_expandable_box .expandable_content,
#factionrules_page .rules_expandable_box .expandable_content,
#codeoflaw_page .rules_expandable_box .expandable_content {
    width: 100%;
    max-height: 0;
    overflow: hidden;

    opacity: 0;
    pointer-events: none;

    gap: 1rem;

    transition: max-height 0.4s ease, opacity 0.25s ease;
}

#rules_page .rules_expandable_box .expandable_content .expandable_content_data,
#factionrules_page .rules_expandable_box .expandable_content .expandable_content_data,
#codeoflaw_page .rules_expandable_box .expandable_content .expandable_content_data {
    width: 100%;
    padding: 0 2.4rem 2rem 2.4rem;
    gap: 1rem;
}

#rules_page .rules_expandable_box.Open .expandable_content,
#factionrules_page .rules_expandable_box.Open .expandable_content,
#codeoflaw_page .rules_expandable_box.Open .expandable_content {
    opacity: 1;
    pointer-events: all;
}

#rules_page .rules_expandable_box .expandable_content .content,
#factionrules_page .rules_expandable_box .expandable_content .content,
#codeoflaw_page .rules_expandable_box .expandable_content .content {
    gap: 1rem;
}

#rules_page .rules_expandable_box .expandable_content .content span,
#factionrules_page .rules_expandable_box .expandable_content .content span,
#codeoflaw_page .rules_expandable_box .expandable_content .content span  {
    font-family: "Sora-Light";
    color: rgb(var(--white), 50%);
    font-size: 1.4rem;
    line-height: 2.6rem;
}

@media (max-width: 400px) {

    #rules_page .rules_expandable_box,
    #factionrules_page .rules_expandable_box,
    #codeoflaw_page .rules_expandable_box {
        max-width: 30rem;
    }
    
}